{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.sys.graphics;
in {
  options.local.sys.graphics = {
    enable = mkEnableOption "graphics settings";
  };
  config = mkIf cfg.enable {
    services = {
      libinput.enable = true;
    };

    hardware.graphics.enable = true;
  };
}
